/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

#define NULL_TOKEN 				0
#define UNKNOWN_TOKEN 				1
#define STRING_TOKEN				2
#define ASSIGNMENT_TOKEN			3
#define COMMENT_TOKEN				4
#define QUOTED_STRING_TOKEN			5
#define QUOTED_STRING_ERROR_TOKEN		6
#define BACKSLASH_TOKEN				11
#define ALERT_TOKEN				12
#define BACKSPACE_TOKEN				13
#define FORMFEED_TOKEN				14
#define NEWLINE_TOKEN				15
#define CARRIAGE_RETURN_TOKEN			16
#define HORIZONTAL_TAB_TOKEN			17
#define VERTICLE_TAB_TOKEN			18
#define ERROR_HEX_TOKEN				19
#define HEX_TOKEN				20
#define SINGLE_QUOTED_STRING_TOKEN		21
#define SINGLE_QUOTED_STRING_ERROR_TOKEN	22
#define QUOTE_TOKEN				24
#define SINGLE_QUOTE_TOKEN			25

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

char *get_line(char *str, int n, int *line_count, FILE *fp);
int get_token(char *token, int maxlen, char *ptr, char **eptr);

